Can I downgrade 3.1.2 to 3.0 on iPhone 3g (and if so, how?)

Discussion in 'Jailbreaks and iOS Hacks' started by iKatianarie, Nov 10, 2009.

  1. iKatianarie macrumors member

    Joined:
    Apr 27, 2009
    #1
    Hey, I have the iPhone 3g, running 3.1.2 firmware, with baseband 4.26.08, and I unlocked it using ultrasn0w, but am getting no service (or rather, it won't keep a stable connection), and there are people saying they're getting stable connections with firmware 3.0, so is there any way to downgrade the firmware back to 3.0?
     
  2. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #2
    You can upgrade and downgrade the firmware on a 3G and jailbreak and unlock at any version.

    Download your chosen firmware for your 3G

    Sync/backup your stuff to iTunes

    Turn off the phone. Hold down the home button and plug the cable into the phone, keep holding the home button until you see the iTunes logo on screen, fire up iTunes.

    [​IMG]

    Option click or shift click and select the firmware version you want. Choose set up as new to get rid of all JB issues.

    After done, you can re-JB with Pwnage Tool. Sync your stuff back.
     
  3. iKatianarie thread starter macrumors member

    Joined:
    Apr 27, 2009
    #3
    it's not working, it still says no service :(. I don't know what else to do.
     
  4. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #4
    You completely restored it then re-JB and UL and get no service ?

    Did you make the IPSW or download it ?

    Are you using an un-official sim (I guess since you mention unlock)

    Was the hacktivate feature enabled in the IPSW as you will need it with the un-official sim.

    Ultrasnow will not unlock bb 5.11.xx, you will have to use Blacksn0w for that.

    Are you sure you did this all correctly ?
     
  5. HiFiGuy528 macrumors 68000

    HiFiGuy528

    Joined:
    Jul 24, 2008
    #5
    There is no need for any Terminal input right? I don't want to Jailbreak. I just want to go back to 3.0.1 on my 3G.

    Cani use iTunes 9.2 or do I need 8.0?
     

Share This Page